=== src/lua/share/scripts/CMakeLists.txt ===
install(FILES
            inject_http.lua
            inject_http_demo.lua
            get_imap_demo.lua
            tcp_session_demo.lua
            http_creds.lua
            http_requests.lua
            inject_http.lua
            smtp_redir.lua
            geoip_demo.lua
            DESTINATION ${INSTALL_LUA_SCRIPTS})
